Bug 962598 - (CVE-2013-1674) CVE-2013-1674 Mozilla: Use-after-free with video and onresize event (MFSA 2013-46)
CVE-2013-1674 Mozilla: Use-after-free with video and onresize event (MFSA 201...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130514,repor...
: Security
Depends On:
Blocks: 959859
  Show dependency treegraph
 
Reported: 2013-05-13 22:14 EDT by Huzaifa S. Sidhpurwala
Modified: 2014-08-25 10:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-14 17:03:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-13 22:14:52 EDT
Security researcher Nils reported a use-after-free when resizing video while playing. This could allow for arbitrary code execution.

In general these flaws cannot be exploited through email in the Thunderbird product because scripting is disabled, but are potentially a risk in browser or browser-like contexts.


External Reference:

http://www.mozilla.org/security/announce/2013/mfsa2013-46.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Nils as the original reporter.
Comment 1 errata-xmlrpc 2013-05-14 16:03:30 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0821 https://rhn.redhat.com/errata/RHSA-2013-0821.html
Comment 2 errata-xmlrpc 2013-05-14 16:04:42 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:0820 https://rhn.redhat.com/errata/RHSA-2013-0820.html

Note You need to log in before you can comment on or make changes to this bug.